org.apache.lucene.search.regex

## Class SpanRegexQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.search.spans.SpanQuery
    - - org.apache.lucene.search.regex.SpanRegexQuery

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, RegexQueryCapable

      public class SpanRegexQuery
      extends org.apache.lucene.search.spans.SpanQuery
      implements RegexQueryCapable

  A SpanQuery version of `RegexQuery` allowing regular expression queries to be nested within other SpanQuery subclasses.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpanRegexQuery(org.apache.lucene.index.Term term)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getField()`
    `RegexCapabilities` | `getRegexImplementation()`
    `org.apache.lucene.search.spans.Spans` | `getSpans(org.apache.lucene.index.IndexReader reader)`
    `org.apache.lucene.index.Term` | `getTerm()`
    `java.util.Collection` | `getTerms()`
    `int` | `hashCode()`
    `org.apache.lucene.search.Query` | `rewrite(org.apache.lucene.index.IndexReader reader)`
    `void` | `setRegexImplementation(RegexCapabilities impl)`
    `java.lang.String` | `toString(java.lang.String field)`

    - ### Methods inherited from class org.apache.lucene.search.spans.SpanQuery

      `createWeight`

    - ### Methods inherited from class org.apache.lucene.search.Query

      `clone, combine, extractTerms, getBoost, getSimilarity, mergeBooleanQueries, setBoost, toString, weight`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SpanRegexQuery

          public SpanRegexQuery(org.apache.lucene.index.Term term)

  - ### Method Detail

    - #### getTerm

          public org.apache.lucene.index.Term getTerm()

    - #### rewrite

          public org.apache.lucene.search.Query rewrite(org.apache.lucene.index.IndexReader reader)
                                                 throws java.io.IOException

      Overrides:
        `rewrite` in class `org.apache.lucene.search.Query`
      Throws:
        `java.io.IOException`

    - #### getSpans

          public org.apache.lucene.search.spans.Spans getSpans(org.apache.lucene.index.IndexReader reader)
                                                        throws java.io.IOException

      Specified by:
        `getSpans` in class `org.apache.lucene.search.spans.SpanQuery`
      Throws:
        `java.io.IOException`

    - #### getField

          public java.lang.String getField()

      Specified by:
        `getField` in class `org.apache.lucene.search.spans.SpanQuery`

    - #### getTerms

          public java.util.Collection getTerms()

      Specified by:
        `getTerms` in class `org.apache.lucene.search.spans.SpanQuery`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `org.apache.lucene.search.Query`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `org.apache.lucene.search.Query`

    - #### toString

          public java.lang.String toString(java.lang.String field)

      Specified by:
        `toString` in class `org.apache.lucene.search.Query`

    - #### setRegexImplementation

          public void setRegexImplementation(RegexCapabilities impl)

      Specified by:
        `setRegexImplementation` in interface `RegexQueryCapable`

    - #### getRegexImplementation

          public RegexCapabilities getRegexImplementation()

      Specified by:
        `getRegexImplementation` in interface `RegexQueryCapable`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.